# Looking Glasses

This is the list of **looking glasses** available for the dn42 network. Some only display BGP information, while some others allow interactive queries (traceroute, details of a route, BGP-map visualisation, etc).

When a looking glass is described as `IPv4` or `IPv6`, it refers to the information displayed (or queried) by the looking glass, not to the reachability of the looking glass service itself.

Please sort by AS number.

| AS | URL |
|:--:|:--- |
| 64719 | ext: https://lg.dn42.lutoma.org <br> dn42: https://lg.lutoma.dn42 |
| 64737 | ext: https://lg.dn42.us |
| 4242420181 | ext: https://lg.dn42.miegl.cz <br> dn42: http://lg.mgl.dn42 |
| 4242420197 | ext: https://lg.n0emis.eu <br> dn42: https://lg.n0emis.dn42 (soon) |
| 4242420304 | ext: https://lg.04d.co <br> dn42: https://lg.04dco.dn42 |
| 4242420458 | ext: https://lg.huajinet.org |
| 4242420585 | ext: https://dn42.atolm.net/lg <br> dn42: http://atolm.dn42/lg |
| 4242420831 | ext: https://lg.dn42.tms.im |
| 4242420927 | ext: https://lg.dn42.liki.link |
| 4242421022 | ext: https://lg.bsdrocker.com |
| 4242421080 | ext: https://lg.highdef.network <br> dn42: http://lg.highdef.dn42 |
| 4242421123 | ext: https://dn42.ccp.ovh <br> dn42: http://n.dn42 |
| 4242421411 | ext: https://lg.famfo.xyz <br> dn42: https://lg.catgirls.dn42 |
| 4242421722 | ext: https://lg42.tchekda.fr <br> dn42: http://lg42.tchekda.dn42 |
| 4242421816 | ext: https://lg.dn42.potat0.cc <br> dn42: http://lg.potat0.dn42 |
| 4242421955 | dn42: http://lg.nop.dn42 <br> telnet:test.nop.dn42 <br> ext: http://sandbox.freertr.org|
| 4242422092 | ext: https://lg.dn42.pebkac.gr <br> dn42: http://lg.pebkac.dn42 <br> IPv4 and IPv6 |
| 4242422206 | ext: https://lg.dn42.est-it.de <br> dn42: https://lg.techanit.dn42 <br> IPv4 and IPv6 |
| 4242422237 | ext: https://lg.dn42.munsternet.eu <br> dn42: http://lg.munsternet.dn42 <br> IPv6 only |
| 4242422439 | ext: https://lg.dn42.saru.moe <br> dn42: https://lg.saru.dn42 |
| 4242422575 | dn42: https://lg.androw.dn42 <br> ext: https://lg.androw.eu |
| 4242422601 | dn42: http://lg.burble.dn42 <br> ext: https://lg.burble.com |
| 4242422633 | dn42: http://lg.eb.dn42 <br> ext: https://lg.eastbnd.com |
| 4242422717 | ext: https://lg.whojk.com |
| 4242422904 | ext: https://lg.doxz.net |
| 4242423035 | ext: https://lg.lare.cc <br> dn42: https://lg.lare.dn42 |
| 4242423088 | ext: https://lg.dn42.6700.cc <br> dn42: http://lg.sun.dn42 |
| 4242423315 | ext: http://lg.unknownts.tk <br> dn42: http://unknownts.dn42 |
| 4242423411 | ext: --------------------------- <br> dn42: http://lg.goldlineit.dn42 |
| 4242423868 | ext: http://lg-dn42.chimon.org |

## Down

These looking glasses were added to the table at some point, but now seem to be down (404, DNS broken, …)


| AS | URL |
|:--:|:--- |
| 64720 | ext: http://lg.prauscher.de <br> dn42: http://lg.prauscher.dn42 |
| 64766 | ext: http://ix.ucis.nl/routes.php <br> dn42: http://ix.ucis.dn42/routes.php <br> IPv4 only. |
| 64835 | ext: http://lg.nordkapp-5.dn42 <br> dn42: http://172.22.235.4 |
| 65529 | ext: http://bgp.freifunk-bielefeld.de/ulg/ulg.py <br> Interactive, BGP-map |
| 76103 | ext: http://lg.nixnodes.net <br> dn42: http://lg.nixnodes.dn42 <br> IPv4 only. |
| 76142 | dn42: http://lg.ffdn.dn42 <br> Interactive, BGP-map |
| 4242420013 | ext: http://dn42.netrik.de/de-fra1 <br> dn42: http://172.22.232.5/de-fra1 <br> Interactive, BGP-map |
| 4242420022 | dn42: http://mhm.dn42:5001 |
| 4242420101 | ext: http://core1.darmstadt.ccc.de <br> ext: http://edge1.core.chaos-darmstadt.de <br> dn42: http://lg.cda.dn42 |
| 4242420123 | dn42: https://lg.grmml.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242420151 | ext: ssh bird-lg@dn42-uk-london0.dn42.bauen1.xyz <br> restricted bird shell |
| 4242420184 | ext: http://peerfinder.polyno.me <br> dn42: http://peerfinder.polynome.dn42 <br> Can be used as a distributed looking glass if you give it a dn42 address. |
| 4242420184 | dn42: http://dataviz.polynome.dn42/dn42/lastseen <br> Non-interactive "BGP last seen" service: keeps an history of previously announced BGP prefixes. |
| 4242420200 | dn42: http://lg.punkt.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242420300 | ext: http://lg-fr-rbx.wolke7.me <br> dn42: http://lg-fr-rbx.wolke7.dn42 |
| 4242420321 | dn42: http://lg.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242420341 | dn42: https://lg.hachiman.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242420812 | dn42: https://lg.jan.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242420827 | ext: https://lg.llyn.lorkep.trade <br> dn42: https://lg.lorkep.dn42 <br> Interactive (traceroute, BGP-map) <br> IPv6 only |
| 4242420977 | ext: https://lg.moerail.ml <br> dn42: http://lg.moerail.dn42 |
| 4242421050 | ext: https://lg.dn42.napshome.net <br> dn42: http://lg.napshome.dn42 |
| 4242421055 | dn42: http://lg.tmwawpl.dn42 |
| 4242421092 | dn42: http://lg.erg.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242421099 | ext: https://lg.owensresearch.org <br> dn42: https://lg.owensresearch.dn42 <br> BGP Route, BGP Community, BGP AS Path, Ping, and Traceroute |
| 4242421166 | dn42: http://lg.alcatrash.dn42 |
| 4242421197 | dn42: https://lg.scoopta.dn42 <br> dn42: ssh rtr@rtr.scoopta.dn42 <br> restricted frr shell|
| 4242421224 | dn42: http://lg.bit.dn42 |
| 4242421231 | dn42: http://lg.caesia.dn42 <br> ext: https://lg.caesia.net |
| 4242421331<br>4242421332<br>207268 | ext: https://lg.strexp.net <br> dn42: http://lg.nia.dn42 |
| 4242421588 | dn42: http://lg.tech9computers.dn42 <br> Interactive (traceroute, BGP-map) |
| 4242421876 | dn42: https://lg.potato.dn42&lt;br&gt;ext: https://lg.dn42.ac.cn |
| 4242421926 | dn42: https://lg.zhaofeng.dn42 <br> ext: https://lg.naive.network |
| 4242422016 | ext: https://dn42.sidereal.ca <br> dn42: https://lg.sidereal.dn42 |
| 4242422024 | ext: http://lg.dn42.gcc.ac.cn <br> Interactive (ping, traceroute, BGP-map)|
| 4242422189 | dn42: http://lg.iedon.dn42 |
| 4242422341 | ext: https://lg.dn42.zotan.network <br> dn42: https://lg.zotan.dn42 |
| 4242422342 | dn42: http://lg.gbe.dn42 <br> Semi-interactive (no traceroute, no ping) |
| 4242422428 | ext: https://lg.0l.de <br> IPv4 and IPv6 |
| 4242422506 | dn42: http://www.as4242422506.dn42 |
| 4242422547 | ext: https://lg.lantian.pub <br> dn42: http://lg.lantian.dn42 |
| 4242422596 | dn42: http://lg.ty3r0x.dn42 |
| 4242422700 | dn42: http://lg.gotroot.dn42 <br> ext: http://dn42.gotroot.ca |
| 4242423078 | ext: https://lg.hexanet.dev <br> dn42: http://lg.hex.dn42 <br> Interactive (traceroute, BGP-map) <br> IPv6 only |
| 4242423735 | ext: https://lg.dn42.cperrin.xyz <br> dn42: http://lg.cperrin.dn42 |
| 4242423827 | ext: https://sky.nullroute.eu.org/dn42/lg <br> dn42: http://lg.nullroute.dn42 |
| 4242423905 | ext: https://dn42-svc.weiti.org/ulg <br> dn42: https://lg.weiti.dn42
| 4242423905 | ext: http://zeus.nowhere.ws/dn42/routes.cgi <br> dn42: http://zeus.nihilus.dn42/dn42/routes.cgi <br> Non-interactive (route listing only). |
| 4242423955 | dn42: http://lg.flo.dn42 |
| 4242423973 | dn42: http://lg.technopoint.dn42 <br> (traceroute, BGP-map) IPv4 only. |
| 4242423993 | ext: https://lg.2f30.org <br> IPv4 only. |
